﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewAdvancedEditAppointmentDialog
{
	public class CustomAppointment : Appointment
	{
		private TimeSpan _duration;
		public TimeSpan Duration
		{
			get
			{
				return this.Storage<CustomAppointment>()._duration;
			}
			set
			{
				var storage = this.Storage<CustomAppointment>();
				if (storage._duration != value)
				{
					storage._duration = value;
					this.OnPropertyChanged(() => this.Duration);
				}
			}
		}


		public override IAppointment Copy()
		{
			var newAppointment = new CustomAppointment();
			newAppointment.CopyFrom(this);
			return newAppointment;
		}
		public override void CopyFrom(IAppointment other)
		{
			var app = other as CustomAppointment;
			if (app != null)
			{
				this.Duration = app.Duration;
			}
			base.CopyFrom(other);
		}
	}
}
